LINUX.ORG.RU

[ megabaks@desktop ] ~ $ grep -RH "LINUX_VERSION_CODE" /usr/src/linux
/usr/src/linux/arch/sh/kernel/vsyscall/vsyscall-note.S:	.long LINUX_VERSION_CODE
/usr/src/linux/arch/arm/include/asm/stackprotector.h:	canary ^= LINUX_VERSION_CODE;
/usr/src/linux/arch/x86/vdso/vdso-note.S:	.long LINUX_VERSION_CODE
/usr/src/linux/arch/x86/vdso/vdso32/note.S:	.long LINUX_VERSION_CODE
/usr/src/linux/arch/s390/kernel/vdso32/note.S:	.long LINUX_VERSION_CODE
/usr/src/linux/arch/s390/kernel/vdso64/note.S:	.long LINUX_VERSION_CODE
/usr/src/linux/arch/sparc/boot/piggyback.c:	/* skip HdrS + LINUX_VERSION_CODE + HdrS version */
/usr/src/linux/arch/sparc/kernel/head_32.S:	.word	LINUX_VERSION_CODE
/usr/src/linux/arch/sparc/kernel/head_64.S:        .word   LINUX_VERSION_CODE
/usr/src/linux/arch/powerpc/kernel/vdso32/note.S:	.long LINUX_VERSION_CODE
/usr/src/linux/init/version.c:extern int version_string(LINUX_VERSION_CODE);
/usr/src/linux/init/version.c:int version_string(LINUX_VERSION_CODE);
/usr/src/linux/Makefile:	(echo \#define LINUX_VERSION_CODE $(shell                             \
/usr/src/linux/scripts/checkpatch.pl:		if ($line =~ /\bLINUX_VERSION_CODE\b/) {
/usr/src/linux/scripts/checkpatch.pl:			WARN("LINUX_VERSION_CODE should be avoided, code should be for the version to which it is merged\n" . $herecurr);
/usr/src/linux/scripts/checkversion.pl:# checkversion find uses of LINUX_VERSION_CODE or KERNEL_VERSION
/usr/src/linux/scripts/checkversion.pl:	# Look for uses: LINUX_VERSION_CODE, KERNEL_VERSION, UTS_RELEASE
/usr/src/linux/scripts/checkversion.pl:	if (($_ =~ /LINUX_VERSION_CODE/) || ($_ =~ /\WKERNEL_VERSION/)) {
/usr/src/linux/drivers/net/wan/farsync.c:	info->kernelVersion = LINUX_VERSION_CODE;
/usr/src/linux/drivers/usb/core/hcd.c:#define KERNEL_REL	((LINUX_VERSION_CODE >> 16) & 0x0ff)
/usr/src/linux/drivers/usb/core/hcd.c:#define KERNEL_VER	((LINUX_VERSION_CODE >> 8) & 0x0ff)
/usr/src/linux/drivers/s390/char/sclp_cpi.c:				 LINUX_VERSION_CODE);
/usr/src/linux/drivers/scsi/gdth.c:        osv.version = (u8)(LINUX_VERSION_CODE >> 16);
/usr/src/linux/drivers/scsi/gdth.c:        osv.subversion = (u8)(LINUX_VERSION_CODE >> 8);
/usr/src/linux/drivers/scsi/gdth.c:        osv.revision = (u16)(LINUX_VERSION_CODE & 0xff);
/usr/src/linux/drivers/staging/rtl8192e/ieee80211/ieee80211_wx.c:#if (LINUX_VERSION_CODE > KERNEL_VERSION(2,6,13))
/usr/src/linux/kernel/power/snapshot.c:	info->version_code = LINUX_VERSION_CODE;
/usr/src/linux/kernel/power/snapshot.c:	if (info->version_code != LINUX_VERSION_CODE)
/usr/src/linux/Documentation/scsi/ChangeLog.lpfc:	* Moved #if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,6) to include
/usr/src/linux/Documentation/bus-virt-phys-mapping.txt:	#if LINUX_VERSION_CODE < 0x020100                                     
/usr/src/linux/include/linux/version.h:#define LINUX_VERSION_CODE 196609
[ megabaks@desktop ] ~ $ 
megabaks ★★★★ ()
Ответ на: комментарий от megabaks

Чем мне заменить такую конструкцию?

#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,9)
  /* Подключение файлов для ядра 2.6.9 */
#endif

Deleted ()

она определена в Makefile есличо ;)

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.